%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		labyrinth
Version:	0.4.0
Release:	%mkrel 3
Summary:	A simple yet powerful mind-mapping tool for the GNOME desktop
Group:		Office/Utilities
License:	GPLv2+
URL:		http://www.gnome.org/~dscorgie/labyrinth.html
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		labyrinth-0.4.0-fix-noarch-build.patch
Patch1:		labyrinth-0.4.0-replace-Numeric.patch
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gnome-desktop-devel
BuildRequires:	gnome-python-devel
BuildRequires:	gtk2-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	pygtk2.0-devel
BuildRequires:	python-cairo-devel
BuildRequires:	python-gobject-devel
Requires:	pygtk2.0-libglade >= 2.8
Requires:	python-numpy
Requires:	python-pyxml

## Taken from the website's "About" page, as well as Wikipedia's explanation
## of a mind-map.
%description
Labyrinth is a lightweight mind-mapping tool, intended to be as light and
intuitive as possible, but still provide a wide range of powerful features.

A mind-map is a diagram used to represent words, ideas, tasks or other items
linked to and arranged radially around a central key word or idea. It is used
to generate, visualize, structure and classify ideas, and as an aid in study,
organization, problem solving, and decision making.

%prep
%setup -q
%patch0 -p0 -b .noarchfix
%patch1 -p0 -b .Numeric

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} 

desktop-file-install --vendor "%{_real_vendor}"	\
	--dir %{buildroot}%{_datadir}/applications	\
	--delete-original	\
	--remove-category=Application	\
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitelib}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Thu Jan 24 2013 fwang <fwang> 0.4.0-3.mga3
+ Revision: 391984
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 14 2012 ovitters <ovitters> 0.4.0-2.mga2
+ Revision: 208889
- clean spec

* Sat Apr 30 2011 wally <wally> 0.4.0-2.mga1
+ Revision: 93591
- add patch to replace obsoleted Numeric with numpy
- fix requires

* Fri Apr 29 2011 wally <wally> 0.4.0-1.mga1
+ Revision: 93398
- imported package labyrinth

